=== debian/changelog ===
libseccomp (0.1.0-1ubuntu1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1077735)

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 14 Nov 2012 10:20:37 -0600

libseccomp (0.1.0-1ubuntu1) quantal; urgency=low

  * This source currently only supports i386 and amd64 for building.

 -- Ben Collins <bcollins@ubuntu.com>  Tue, 03 Jul 2012 10:07:47 -0400

libseccomp (0.1.0-1) unstable; urgency=low

  * New upstream release.
    - drop patches taken upstream:
      - libexecdir.patch
      - pass-flags.patch

 -- Kees Cook <kees@debian.org>  Fri, 08 Jun 2012 12:32:22 -0700

libseccomp (0.0.0~20120605-1) unstable; urgency=low

  * Initial release (Closes: #676257).

 -- Kees Cook <kees@debian.org>  Tue, 05 Jun 2012 11:28:07 -0700
