=== src/Makefile ===
--- 
+++ 
@@ -37,8 +37,9 @@
 LIB_SHARED = libseccomp.so.$(VERSION_RELEASE)
 
 OBJS = \
-	api.o db.o \
-	arch.o arch-i386.o \
+	api.o db.o arch.o \
+	arch-i386.o arch-i386-syscalls.o \
+	arch-x86_64.o arch-x86_64-syscalls.o \
 	hash.o \
 	gen_pfc.o gen_bpf.o
 
@@ -64,4 +65,4 @@
 	$(INSTALL_LIB_MACRO)
 
 clean:
-	$(RM) -f $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)
+	$(RM) $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)
