=== tests/Makefile ===
--- 
+++ 
@@ -48,7 +48,9 @@
 	10-syscall-priority-post \
 	11-basic-errors \
 	12-basic-masked-ops \
-	13-attrs
+	13-attrs \
+	14-reset \
+	15-resolver
 
 DEPS_OBJS = $(OBJS:%.o=%.d)
 DEPS_TESTS = $(TESTS:%=%.d)
@@ -72,4 +74,4 @@
 	$(COMPILE_EXEC)
 
 clean:
-	$(RM) -f $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)
