=== tools/Makefile ===
--- 
+++ 
@@ -53,4 +53,4 @@
 	$(COMPILE_EXEC)
 
 clean:
-	$(RM) -f $(DEPS) $(TOOLS)
+	$(RM) $(DEPS) $(TOOLS)
