=== debian/changelog ===
libseccomp (1.0.1-2~cloud1) precise-havana; urgency=low

  * No change rebuild to enable new architectures.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Oct 2013 14:24:18 +0100

libseccomp (1.0.1-2) unstable; urgency=low

  * debian/rules: enable testsuite at build time, thanks to
    Stéphane Graber (Closes: 698803).
  * Added debian/patches/include-unistd.patch: detect location of
    asm/unistd.h correctly.
  * Added debian/patches/testsuite-x86-write.patch: skip the "write"
    syscall correctly on x86.
  * debian/control: bump standards to 3.9.4, no changes needed.

 -- Kees Cook <kees@debian.org>  Wed, 23 Jan 2013 13:11:53 -0800

libseccomp (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: only build on amd64 and i386 (Closes: 687368).

 -- Kees Cook <kees@debian.org>  Fri, 07 Dec 2012 11:38:03 -0800

libseccomp (1.0.0-1) unstable; urgency=low

  * New upstream release.
    - bump ABI.
    - drop build verbosity patch, use upstream V=1 instead.
  * libseccomp-dev.manpages: fix build location (Closes: 682152, 682471).
  * debian/patches/pkgconfig-macro.patch: use literals for macro.

 -- Kees Cook <kees@debian.org>  Fri, 03 Aug 2012 16:59:41 -0700
