=== debian/control ===
Source: libseccomp
Section: libs
Priority: optional
Maintainer: Kees Cook <kees@debian.org>
Build-Depends: debhelper (>= 9), linux-libc-dev
Standards-Version: 3.9.4
Homepage: https://sourceforge.net/projects/libseccomp/

Package: libseccomp-dev
Section: libdevel
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libseccomp1 (= ${binary:Version}), ${misc:Depends}
Description: high level interface to Linux seccomp filter (development files)
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.
 .
 This package contains the development files.

Package: libseccomp1
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: high level interface to Linux seccomp filter
 This library provides a high level interface to constructing, analyzing
 and installing seccomp filters via a BPF passed to the Linux Kernel's
 prctl() syscall.
