=== debian/watch ===
# See uscan(1) for format
version=3
http://sf.net/libseccomp/libseccomp-(.*)\.tar\.gz \
    debian uupdate
