## libseccomp 2.1.0%2Bdfsg

=== src/Makefile ===
--- 
+++ 
@@ -38,20 +38,32 @@
 
 OBJS = \
 	api.o db.o arch.o \
-	arch-i386.o arch-i386-syscalls.o \
+	arch-x86.o arch-x86-syscalls.o \
 	arch-x86_64.o arch-x86_64-syscalls.o \
+	arch-x32.o arch-x32-syscalls.o \
+	arch-arm.o arch-arm-syscalls.o \
 	hash.o \
 	gen_pfc.o gen_bpf.o
 
 DEPS = $(OBJS:%.o=%.d)
 
 #
+# bindings configuration
+#
+
+BINDINGS =
+
+ifeq ($(CONF_BINDINGS_PYTHON), 1)
+	BINDINGS += python
+endif
+
+#
 # targets
 #
 
-.PHONY: all install clean
+.PHONY: all install clean python
 
-all: $(LIB_STATIC) $(LIB_SHARED)
+all: $(LIB_STATIC) $(LIB_SHARED) $(BINDINGS)
 
 -include $(DEPS)
 
@@ -61,8 +73,20 @@
 $(LIB_SHARED): $(OBJS)
 	$(LINK_LIB)
 
+python: $(LIB_STATIC)
+	@$(ECHO_INFO) "building in directory $@/ ..."
+	@$(MAKE) -C $@
+
 install: $(LIB_SHARED)
 	$(INSTALL_LIB_MACRO)
+	@for dir in $(BINDINGS); do \
+		$(ECHO) ">> INFO: installing from $$dir/"; \
+		$(MAKE) -C $$dir install; \
+	done
 
 clean:
 	$(RM) $(DEPS) $(OBJS) $(LIB_STATIC) $(LIB_SHARED)
+	@for dir in $(BINDINGS); do \
+		$(MAKE) -C $$dir clean; \
+	done
+
