=== doc/Makefile ===
--- 
+++ 
@@ -33,6 +33,9 @@
 include $(TOPDIR)/configure.mk
 include $(TOPDIR)/install.mk
 
+MAN1 = \
+	man/man1/scmp_sys_resolver.1
+
 MAN3 = \
 	man/man3/seccomp_init.3 \
 	man/man3/seccomp_load.3 \
@@ -41,20 +44,31 @@
 	man/man3/seccomp_rule_add.3 \
 	man/man3/seccomp_rule_add_exact.3 \
 	man/man3/seccomp_syscall_priority.3 \
+	man/man3/seccomp_syscall_resolve_name.3 \
+	man/man3/seccomp_syscall_resolve_name_arch.3 \
+	man/man3/seccomp_syscall_resolve_num_arch.3 \
 	man/man3/seccomp_export_bpf.3 \
 	man/man3/seccomp_export_pfc.3 \
 	man/man3/seccomp_attr_set.3 \
-	man/man3/seccomp_attr_get.3
+	man/man3/seccomp_attr_get.3 \
+	man/man3/seccomp_arch_add.3 \
+	man/man3/seccomp_arch_exist.3 \
+	man/man3/seccomp_arch_native.3 \
+	man/man3/seccomp_arch_remove.3 \
+	man/man3/seccomp_merge.3
 
 #
 # targets
 #
 
-.PHONY: all install install_man3
+.PHONY: all install install_man1 install_man3
 
 all:
 
-install: install_man3
+install: install_man1 install_man3
+
+install_man1: $(MAN1)
+	$(INSTALL_MAN1_MACRO)
 
 install_man3: $(MAN3)
 	$(INSTALL_MAN3_MACRO)
