=== tests/Makefile ===
--- 
+++ 
@@ -36,21 +36,33 @@
 
 LDFLAGS := ../src/libseccomp.a $(OBJS)
 
-TESTS = 01-allow \
-	02-basic \
-	03-basic-chains \
-	04-multilevel-chains \
-	05-long-jumps \
-	06-actions \
-	07-db-bug-looping \
-	08-subtree-checks \
-	09-syscall-priority-pre \
-	10-syscall-priority-post \
-	11-basic-errors \
-	12-basic-masked-ops \
-	13-attrs \
-	14-reset \
-	15-resolver
+TEST_PRIVATE = 00-test
+
+TESTS = 01-sim-allow \
+	02-sim-basic \
+	03-sim-basic_chains \
+	04-sim-multilevel_chains \
+	05-sim-long_jumps \
+	06-sim-actions \
+	07-sim-db_bug_looping \
+	08-sim-subtree_checks \
+	09-sim-syscall_priority_pre \
+	10-sim-syscall_priority_post \
+	11-basic-basic_errors \
+	12-sim-basic_masked_ops \
+	13-basic-attrs \
+	14-sim-reset \
+	15-basic-resolver \
+	16-sim-arch_basic \
+	17-sim-arch_merge \
+	18-sim-basic_whitelist \
+	19-sim-missing_syscalls \
+	20-live-basic_die \
+	21-live-basic_allow \
+	22-sim-basic_chains_array \
+	23-sim-arch_all_basic \
+	24-live-arg_allow \
+	25-sim-multilevel_chains_adv
 
 DEPS_OBJS = $(OBJS:%.o=%.d)
 DEPS_TESTS = $(TESTS:%=%.d)
@@ -73,5 +85,8 @@
 $(TESTS):
 	$(COMPILE_EXEC)
 
+$(TEST_PRIVATE): 00-test.c $(OBJS) ../src/libseccomp.a
+	$(COMPILE_EXEC)
+
 clean:
-	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS)
