=== debian/changelog ===
libseccomp (2.1.0+dfsg-1) unstable; urgency=low

  * Rebuild source package without accidental binaries (Closes: 725617).
    - debian/watch: mangle upstream version check.
  * debian/rules: make tests non-fatal while upstream fixes them
    (Closes: 721292).

 -- Kees Cook <kees@debian.org>  Sun, 06 Oct 2013 15:05:51 -0700

libseccomp (2.1.0-1) unstable; urgency=low

  * New upstream release (Closes: 718398):
    - dropped debian/patches/manpage-dashes.patch: taken upstream.
    - dropped debian/patches/include-unistd.patch: not needed.
    - debian/patches/testsuite-x86-write.patch: taken upstream.
    - ABI bump: moved from libseccomp1 to libseccomp2.
  * debian/control:
    - added Arch: armhf, now supported upstream.
    - added seccomp binary package for helper tools.
  * Added debian/patches/manpage-typo.patch: spelling fix.
  * Added debian/patches/build-ldflags.patch: fix LDFLAGS handling.

 -- Kees Cook <kees@debian.org>  Tue, 13 Aug 2013 00:02:01 -0700
