=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
 
 Package: libseccomp-dev
 Section: libdevel
-Architecture: i386 amd64
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libseccomp1 (= ${binary:Version}), ${misc:Depends}
+Depends: libseccomp2 (= ${binary:Version}), ${misc:Depends}
+Suggests: seccomp
 Description: high level interface to Linux seccomp filter (development files)
  This library provides a high level interface to constructing, analyzing
  and installing seccomp filters via a BPF passed to the Linux Kernel's
@@ -19,8 +20,8 @@
  .
  This package contains the development files.
 
-Package: libseccomp1
-Architecture: i386 amd64
+Package: libseccomp2
+Architecture: i386 amd64 armhf
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -28,3 +29,13 @@
  This library provides a high level interface to constructing, analyzing
  and installing seccomp filters via a BPF passed to the Linux Kernel's
  prctl() syscall.
+
+Package: seccomp
+Section: utils
+Architecture: i386 amd64 armhf
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: libseccomp-dev
+Description: helper tools for high level interface to Linux seccomp filter
+ Provides helper tools for interacting with libseccomp. Currently, only
+ a single tool exists, providing a way to easily enumerate syscalls across
+ the supported architectures.
