=== tests/Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 # targets
 #
 
-.PHONY: clean
+.PHONY: check clean
 
 all: $(TESTS) $(OBJS)
 
@@ -88,5 +88,8 @@
 $(TEST_PRIVATE): 00-test.c $(OBJS) ../src/libseccomp.a
 	$(COMPILE_EXEC)
 
+check: $(TESTS)
+	./regression
+
 clean:
-	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS)
+	$(RM) $(DEPS_TESTS) $(DEPS_OBJS) $(TESTS) $(TEST_PRIVATE) $(OBJS) *.pyc
