=== tools/Makefile ===
--- 
+++ 
@@ -30,9 +30,16 @@
 #
 
 include $(TOPDIR)/configure.mk
+include $(TOPDIR)/install.mk
 
-TOOLS = bpf_disasm \
-	bpf_sim
+LDFLAGS := ../src/libseccomp.a
+
+TOOLS = scmp_bpf_disasm \
+	scmp_bpf_sim \
+	scmp_sys_resolver \
+	scmp_arch_detect
+
+TOOLS_INSTALL = scmp_sys_resolver
 
 DEPS = $(TOOLS:%=%.d)
 
@@ -40,7 +47,7 @@
 # targets
 #
 
-.PHONY: clean
+.PHONY: install clean
 
 all: $(TOOLS)
 
@@ -52,5 +59,8 @@
 $(TOOLS):
 	$(COMPILE_EXEC)
 
+install: $(TOOLS_INSTALL)
+	$(INSTALL_BIN_MACRO)
+
 clean:
 	$(RM) $(DEPS) $(TOOLS)
