=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 override_dh_auto_clean:
 	$(MAKE) dist-clean
-	rm -f tests/regression.out
+	rm -f regression.out
 
 override_dh_auto_configure:
 	./configure --prefix=/usr \
@@ -21,6 +21,6 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	cd tests && ./regression 2>&1 | tee regression.out && \
+	make check 2>&1 | tee regression.out && \
 	  grep -q "^ tests failed: 0" regression.out || true
 endif
