## libseccomp 2.2.3

=== debian/changelog ===
libseccomp (2.2.3-2ubuntu1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 13 Oct 2015 19:57:35 -0700

libseccomp (2.2.3-2ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - add autopkgtests
  * debian/control: Build on linux-any.
  * Backport patches for ppc/ppc64. LP: #1427076.
  * Backport patches for s390x.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Oct 2015 17:45:30 +0200

libseccomp (2.2.3-2) unstable; urgency=medium

  * debian/control: enable mips64, mips64el, and x32 architectures,
    thanks to Helmut Grohne (Closes: 797383).

 -- Kees Cook <kees@debian.org>  Tue, 01 Sep 2015 15:37:31 -0700

libseccomp (2.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: 793032).
  * debian/control: update Homepage (Closes: 793033).

 -- Kees Cook <kees@debian.org>  Mon, 03 Aug 2015 15:06:08 -0700

libseccomp (2.2.1-2ubuntu1) wily; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - Add autopkgtest (Debian #788577)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 17 Jun 2015 07:36:57 +0200

libseccomp (2.2.1-2) unstable; urgency=medium

  * debian/{rules,*.install}: move to /lib, thanks to Michael Biebl
    (Closes: 788923).

 -- Kees Cook <kees@debian.org>  Tue, 16 Jun 2015 12:45:08 -0700

libseccomp (2.2.1-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable. Dropped following patches (included in
    upstream):
    - add-finit-module.patch
    - update-x86-syscall-table.patch
    - update-x86_64-syscall-table.patch
    - update-arm-syscall-table.patch
    - update-x32-syscall-table.patch
    - sync-syscall-table-entries.patch
    - sync-syscall-table-entries-fixtypo.patch
    - sync-syscall-table-entries-3.17.patch
    - sync-syscall-table-entries-3.19.patch
    - fix-segfault-with-unknown.patch
    - add-missing-arm-private-syscalls.patch
  * Remaining changes:
    - add autopkgtests

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 12 Jun 2015 15:12:22 -0500

libseccomp (2.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: 785428).
    - debian/patches dropped: incorporated upstream.
  * debian/libseccomp2.symbols: include only documented symbols.
  * debian/libseccomp-dev.install: include static library (Closes: 698508).
  * debian/control:
    - add newly supported arm64, mips, and mipsel.
    - bump standards version, no changes needed.

 -- Kees Cook <kees@debian.org>  Sat, 16 May 2015 08:15:26 -0700

libseccomp (2.1.1-1ubuntu1) wily; urgency=medium

  * add-finit-module.patch: add finit_module syscalls to x86 and x86-64
    syscall tables
  * update syscalls for modern kernels (skipping MIPS)
    - update syscalls for 3.16:
      + update-x86-syscall-table.patch
      + update-x86_64-syscall-table.patch
      + update-arm-syscall-table.patch
      + update-x32-syscall-table.patch
      + sync-syscall-table-entries.patch
      + sync-syscall-table-entries-fixtypo.patch
    - update syscalls for 3.17:
      + sync-syscall-table-entries-3.17.patch
    - update syscalls for 3.19:
      + sync-syscall-table-entries-3.19.patch
    - LP: #1450642
  * fix-segfault-with-unknown.patch: fix segfault when find unknown syscall
  * debian/patches/add-missing-arm-private-syscalls.path: add missing private
    ARM syscalls
  * add autopkgtests for scmp_sys_resolver and filter testing and
    SYS_getrandom() testing

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 08 May 2015 17:08:43 -0400
