=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Kees Cook <kees@debian.org>
-Build-Depends: debhelper (>= 9), linux-libc-dev
-Standards-Version: 3.9.5
-Homepage: https://sourceforge.net/projects/libseccomp/
+Build-Depends: debhelper (>= 9), dh-autoreconf, linux-libc-dev
+Standards-Version: 3.9.6
+Homepage: https://github.com/seccomp/libseccomp
 XS-Testsuite: autopkgtest
 
 Package: libseccomp-dev
 Section: libdevel
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: libseccomp2 (= ${binary:Version}), ${misc:Depends}
@@ -23,7 +23,7 @@
  This package contains the development files.
 
 Package: libseccomp2
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -34,7 +34,7 @@
 
 Package: seccomp
 Section: utils
-Architecture: i386 amd64 armhf armel
+Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libseccomp-dev
 Description: helper tools for high level interface to Linux seccomp filter
