=== debian/tests/control ===
Tests: test-filter test-scmp_sys_resolver
Restrictions: allow-stderr
Depends: @, build-essential, linux-libc-dev
